%define upstream_name    Number-Format
%define upstream_version 1.76

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert numbers to strings with pretty formatting
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by the
user.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 CHANGES README

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
%{__make} test

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Number
%{_mandir}/*/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.760.0-2.mga10
+ Revision: 2218605
- Mageia 10 Mass Rebuild

* Tue Aug 29 2023 tv <tv> 1.760.0-1.mga10
+ Revision: 1981003
- update to 1.76

* Sun Mar 20 2022 umeabot <umeabot> 1.750.0-6.mga9
+ Revision: 1805008
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.750.0-5.mga8
+ Revision: 1496105
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.750.0-4.mga7
+ Revision: 1270204
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.750.0-3.mga6
+ Revision: 1031349
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.750.0-2.mga6
+ Revision: 968205
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.750.0-1.mga6
+ Revision: 851527
- update to 1.75

* Sun Oct 19 2014 umeabot <umeabot> 1.730.0-6.mga5
+ Revision: 789883
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.730.0-5.mga5
+ Revision: 749855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.730.0-4.mga5
+ Revision: 685758
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.730.0-3.mga4
+ Revision: 513634
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.730.0-2.mga3
+ Revision: 370995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.730.0-1.mga1
+ Revision: 26775
- mageia rebuild
- imported package perl-Number-Format


* Sun Sep 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1.730.0-1mdv2010.0
+ Revision: 449778
- update to 1.73

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.720.0-1mdv2010.0
+ Revision: 404280
- rebuild using %%perl_convert_version

* Wed May 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.72-1mdv2010.0
+ Revision: 372391
- update to new version 1.72

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.71-1mdv2010.0
+ Revision: 371868
- new version

* Sun Feb 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.70-1mdv2009.1
+ Revision: 340536
- update to new version 1.70

* Thu Feb 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.63-1mdv2009.1
+ Revision: 339908
- update to new version 1.63

* Tue Feb 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.62-1mdv2009.1
+ Revision: 339103
- update to new version 1.62

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.52-5mdv2009.0
+ Revision: 258142
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.52-4mdv2009.0
+ Revision: 246255
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-2mdv2008.1
+ Revision: 133639
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Sep 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.52-1mdv2007.0
- New version 1.52

* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-2mdv2007.0
- Rebuild

* Tue Apr 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdk
- Contributed by Cedric Devillers <brancaleone@altern.org>

